# Class PaymentMethod

#### Hierarchy

- unknown
  - PaymentMethod

- Defined in src/protobuf/pb_pb.d.ts:7413
- Defined in src/protobuf/pb_pb.d.ts:7436

#####
Index

### Constructors

constructor

### Methods

addSupportedAssetCodes
clearSupportedAssetCodesList
getId
getMaxTradeLimit
getMaxTradePeriod
getSupportedAssetCodesList
serializeBinary
setId
setMaxTradeLimit
setMaxTradePeriod
setSupportedAssetCodesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentMethod(): PaymentMethod

- #### Returns PaymentMethod

  Inherited from jspb.Message.constructor

## Methods

### addSupportedAssetCodes

- addSupportedAssetCodes(value: string, index?: number): PaymentMethod

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7426

### clearSupportedAssetCodesList

- clearSupportedAssetCodesList(): PaymentMethod

- #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7425

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7414

### getMaxTradeLimit

- getMaxTradeLimit(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7420

### getMaxTradePeriod

- getMaxTradePeriod(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7417

### getSupportedAssetCodesList

- getSupportedAssetCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:7423

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7428

### setId

- setId(value: string): PaymentMethod

- #### Parameters

  - ##### value: string

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7415

### setMaxTradeLimit

- setMaxTradeLimit(value: string): PaymentMethod

- #### Parameters

  - ##### value: string

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7421

### setMaxTradePeriod

- setMaxTradePeriod(value: string): PaymentMethod

- #### Parameters

  - ##### value: string

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7418

### setSupportedAssetCodesList

- setSupportedAssetCodesList(value: string[]): PaymentMethod

- #### Parameters

  - ##### value: string[]

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7424

### toObject

- toObject(includeInstance?: boolean): PaymentMethod.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentMethod.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7429

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentMethod

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7432

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentMethod, reader: BinaryReader): PaymentMethod

- #### Parameters

  - ##### message: PaymentMethod

  - ##### reader: BinaryReader

  #### Returns PaymentMethod

  - Defined in src/protobuf/pb_pb.d.ts:7433

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentMethod, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentMethod

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7431

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentMethod): PaymentMethod.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentMethod

  #### Returns PaymentMethod.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7430

Generated using TypeDoc